subroutine F_Expr_Sys(f_source, n, f8_text)

character(132) f_source

character(132) line, f8_text(n)
character(1) i_char(n), str*4, TAB, sp, equal


!f_text(1:n) =' '

open(10, file =f_source, status ='old', form ='formatted', iostat =k_open)

if(k_open /=0) RETURN

! Build "i_char":
do i=1,n
write(i_char(i), '(I1)') i
enddo

TAB =char( ichar("	") )
sp =char(32)
equal ='='

WH_DO: DO WHILE (.not.EOF(10))
read(10, '(a)') line

! Skip blank line
if(len_trim(line) ==0) cycle WH_DO

if(line(1:1) =='!') cycle WH_DO
if(line(1:3) =='sub') cycle WH_DO
if(line(1:4) =='real' .or. line(1:4) =='inte' .or. line(1:4) =='char') cycle WH_DO
 
! Supress leading blanks (if any):
if(line(1:1) ==sp) line =adjustl(line)

! Search in "line" for "f(1) ... f(n)" AND for '=":

n_do: do i =1,n
i_f =0; i_eq =0;

str ='f8('//i_char(i)
i_f =index(line, str)

if(i_f ==0) then
CYCLE n_do
endif

i_eq =index(line, equal)
if(i_eq ==0) then
EXIT n_do
endif

if(i_f /=0 .and. i_eq /=0) then
!f_text(i) =trim(line)
f8_text(i) =str//')'//trim(line(i_eq:))
endif
enddo n_do

ENDDO WH_DO

close(10)

END
